Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 585161 - Make zinnia data file arch independent
Make zinnia data file arch independent
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: zinnia (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Liang Suilong
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-23 05:56 EDT by Peng Huang
Modified: 2011-06-27 11:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:49:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Always use little endian data file (4.95 KB, patch)
2010-04-23 05:56 EDT, Peng Huang
no flags Details | Diff

  None (edit)
Description Peng Huang 2010-04-23 05:56:47 EDT
Created attachment 408560 [details]
Always use little endian data file

Currently zinnia's data files are arch dependent. But when we package the zinnia data files, we want to generate an arch independent rpm. For detail information, please ref https://bugzilla.redhat.com/show_bug.cgi?id=562366

I created a patch for this proposal. With the patch, zinnia will always use little endian data files. Wish it could be applied. Thanks

below is diff file for spec file.
===================================================================
RCS file: /cvs/pkgs/rpms/zinnia/F-12/zinnia.spec,v
retrieving revision 1.1
diff -u -r1.1 zinnia.spec
--- zinnia.spec	11 Mar 2010 01:43:17 -0000	1.1
+++ zinnia.spec	23 Apr 2010 09:55:11 -0000
@@ -5,7 +5,7 @@
 
 Name:		zinnia
 Version:	0.05
-Release:	4%{?dist}
+Release:	5%{?dist}
 Summary:	Online handwriting recognition system with machine learning
 
 Group:		System Environment/Libraries
@@ -13,9 +13,13 @@
 URL:		http://zinnia.sourceforge.net/
 Source0:	http://downloads.sourceforge.net/zinnia/%{name}-%{version}.tar.gz
 Patch0:		zinnia-0.05-bindings.patch
+Patch1:		0001-Always-store-data-in-little-endian-format.patch
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildRequires:	db4-devel, python2-devel
 BuildRequires:	perl(ExtUtils::MakeMaker)
+BuildRequires:  autoconf
+BuildRequires:  automake
+BuildRequires:  libtool
 
 %description
 Zinnia provides a simple, customizable, and portable dynamic OCR
@@ -78,6 +82,11 @@
 %prep
 %setup -q -n %{name}-%{version}
 %patch0 -p1 -b .bindings
+%patch1 -p1 -b .little-endian
+aclocal --force
+libtoolize -f -c
+automake -f -c
+autoreconf
 find . -type f -name ChangeLog -size 0c -exec rm -f {} ';'
 find . -type f -name "*.pyc" -exec rm -f {} ';'
 pushd doc
Comment 1 Peng Huang 2010-04-23 05:58:47 EDT
Sorry. The URL should be https://bugzilla.redhat.com/show_bug.cgi?id=575005 .
Comment 2 Peng Huang 2010-05-16 20:35:29 EDT
http://sourceforge.net/projects/zinnia/files/
Upstream released zinnia-0.06. It uses arch independent data file. It could fix this bug. Please update it.
Comment 4 Bug Zapper 2011-06-02 10:57:09 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-27 11:49:38 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.